summaryrefslogtreecommitdiffstats
path: root/libraries/liblxi
diff options
context:
space:
mode:
author Nate Bargmann2018-01-28 12:44:50 +0100
committer Willy Sudiarto Raharjo2018-01-28 12:45:14 +0100
commit32f6524ed221c18f837419a7f34b79625d2627ed (patch)
tree0e9ffb5fc12dfea317907456441f4caf66341250 /libraries/liblxi
parent63c5b513ab8c01437cbc8889ae3b9cbea8e8456f (diff)
downloadslackbuilds-32f6524ed221c18f837419a7f34b79625d2627ed.tar.gz
libraries/liblxi: Added (support library for LAN eXtensions).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/liblxi')
-rw-r--r--libraries/liblxi/README14
-rw-r--r--libraries/liblxi/liblxi.SlackBuild97
-rw-r--r--libraries/liblxi/liblxi.info10
-rw-r--r--libraries/liblxi/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/libraries/liblxi/README b/libraries/liblxi/README
new file mode 100644
index 0000000000..0d11fd5fa5
--- /dev/null
+++ b/libraries/liblxi/README
@@ -0,0 +1,14 @@
+liblxi is an open source software library which offers a simple API for
+communicating with LXI compatible instruments. The API allows applications to
+discover instruments on your network, send SCPI commands, and receive
+responses.
+
+Currently the library supports VXI-11/TCP and RAW/TCP connections. Future work
+include adding support for the newer and more efficient HiSlip protocol which
+is used by next generation LXI instruments.
+
+The library is based on the VXI-11 RPC protocol implementation which is part
+of the asynDriver EPICS module, which, at time of writing, is available from:
+http://www.aps.anl.gov/epics/modules/soft/asyn/index.html
+
+NOTE: avahi is an optional dependency
diff --git a/libraries/liblxi/liblxi.SlackBuild b/libraries/liblxi/liblxi.SlackBuild
new file mode 100644
index 0000000000..fc026db748
--- /dev/null
+++ b/libraries/liblxi/liblxi.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for liblxi
+
+# Copyright 2018 Nate Bargmann <n0nb@arrl.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=liblxi
+VERSION=${VERSION:-1.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/liblxi/liblxi.info b/libraries/liblxi/liblxi.info
new file mode 100644
index 0000000000..007be4706b
--- /dev/null
+++ b/libraries/liblxi/liblxi.info
@@ -0,0 +1,10 @@
+PRGNAM="liblxi"
+VERSION="1.9"
+HOMEPAGE="https://lxi-tools.github.io/"
+DOWNLOAD="https://github.com/lxi-tools/liblxi/releases/download/v1.9/liblxi-1.9.tar.xz"
+MD5SUM="4200bdc0f077d539c7134c1e94cb3d32"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nate Bargmann"
+EMAIL="n0nb@arrl.net"
diff --git a/libraries/liblxi/slack-desc b/libraries/liblxi/slack-desc
new file mode 100644
index 0000000000..be18ac6e5f
--- /dev/null
+++ b/libraries/liblxi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liblxi: liblxi (support library for LAN eXtensions for Instrumentation)
+liblxi:
+liblxi: liblxi is an open source software library which offers a simple API
+liblxi: for communicating with LXI compatible instruments. The API allows
+liblxi: applications to discover instruments on your network, send SCPI
+liblxi: commands, and receive responses.
+liblxi:
+liblxi: Currently the library supports VXI-11/TCP and RAW/TCP connections.
+liblxi: Future work include adding support for the newer and more efficient
+liblxi: HiSlip protocol which is used by next generation LXI instruments.
+liblxi: